org.jboss.netty.handler.codec.http.multipart

## Class HttpPostRequestDecoder.ErrorDataDecoderException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.jboss.netty.handler.codec.http.multipart.HttpPostRequestDecoder.ErrorDataDecoderException

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    HttpPostRequestDecoder

      public static class HttpPostRequestDecoder.ErrorDataDecoderException
      extends Exception

  Exception when an error occurs while decoding
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpPostRequestDecoder.ErrorDataDecoderException()`
    `HttpPostRequestDecoder.ErrorDataDecoderException(String arg0)`
    `HttpPostRequestDecoder.ErrorDataDecoderException(String arg0, Throwable arg1)`
    `HttpPostRequestDecoder.ErrorDataDecoderException(Throwable arg0)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpPostRequestDecoder.ErrorDataDecoderException

          public HttpPostRequestDecoder.ErrorDataDecoderException()

    - #### HttpPostRequestDecoder.ErrorDataDecoderException

          public HttpPostRequestDecoder.ErrorDataDecoderException(String arg0)

      Parameters:
        `arg0` -

    - #### HttpPostRequestDecoder.ErrorDataDecoderException

          public HttpPostRequestDecoder.ErrorDataDecoderException(Throwable arg0)

      Parameters:
        `arg0` -

    - #### HttpPostRequestDecoder.ErrorDataDecoderException

          public HttpPostRequestDecoder.ErrorDataDecoderException(String arg0,
                                                          Throwable arg1)

      Parameters:
        `arg0` -
        `arg1` -

Copyright © 2008-2012 The Netty Project. All Rights Reserved.